<?php

include('../common/parseargs.php');

$USAGE=" --username=<username> --password=<password> --userType=<userType> [optionalparms: --administratorrids=<administratorids>  --subuserids=<subuserids>  --groupids=<groupids> --volumeids=<volumeids> ]";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$USERNAME=$args_array['username'];
$PASSWORD=$args_array['password'];
$USERTYPE=$args_array['userType'];
$ADMINISTRATORIDS=null;
$SUBUSERIDS=null;
$GROUPIDS=null;
$VOLUMEIDS=null;

if(strlen( $args_array['administratorids'])>0)
{
	$ADMINISTRATORIDS=$args_array['administratorids'];
}

if(strlen( $args_array['subuserids'])>0)
{
	$SUBUSERIDS=$args_array['subuserids'];
}

if(strlen( $args_array['groupids'])>0)
{
	$GROUPIDS=$args_array['groupids'];
}

if(strlen( $args_array['volumeids'])>0)
{
	$VOLUMEIDS=$args_array['volumeids'];
}

if (strlen($USERNAME) < 1) {
	echo "ERROR: --username=<username> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


if (strlen($PASSWORD) < 1) {
	echo "ERROR: --password=<password> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($USERTYPE) < 1) {
	echo "ERROR: --userType=<userType> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

try{
	$client = new soapclient("https://$HOST:$PORT/User?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response=$client->createUser(
		array(
		'username'=>"$USERNAME", 
		'password'=>"$PASSWORD", 
		'userType'=>"$USERTYPE",
		'administratorIDs'=>$ADMINISTRATORIDS,
		'subuserIDs'=>$SUBUSERIDS,
		'volumeIDs'=>$VOLUMEIDS
	 	)
	);

	echo "Successfully executed createUser\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}
?> 
